Page MenuHomeVyOS Platform

Bug: Errors when creating new user
Closed, ResolvedPublic

Description

On VyOS 1.3, when you try creating a new user, it works but it gives errors:

Version: VyOS 1.3-rolling-202007011734

set system login user test authentication plaintext-password "This.was.a.test"

Result:

adminuser@vyos# commit
[ system login ]
Configuration path: [system login user adminuser authentication plaintext-password ] is not valid

Set failed
Configuration path: [system login user adminuser authentication encrypted-password $6$grNMRfSrZYFvK.5O$85wk6DukaKwh4EKh6QbAnSJJMWvVOj5PLo5d9/JWbpMVrKWloADJYqhwIQoJwcrLiefDOJmtIsdD/Vmw9HdZe/] is not valid

Set failed
Configuration path: [system login user test authentication plaintext-password ] is not valid

Set failed
Configuration path: [system login user test authentication encrypted-password $6$1LSmLtVQQnkav4bl$ssyi1uTOChiMXaOdQ3FcpsCCLqXqdM6CTfLLpfv2FPrue9mGoFGp0n0BOnKi1PAtt9qaTdRLgUxiC7K/i5CGD.] is not valid

Set failed

However, everything actually worked, it just gave these error messages.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

dsummers created this task.Jul 2 2020, 4:14 PM
dsummers created this object in space S1 VyOS Public.

Also on delete:

adminuser@vyos# delete user test
adminuser@vyos# commit
[ system login ]
Configuration path: [system login user adminuser authentication plaintext-password ] is not valid

Set failed
Configuration path: [system login user adminuser authentication encrypted-password $6$grNMRfSrZYFvK.5O$85wk6DukaKwh4EKh6QbAnSJJMWvVOj5PLo5d9/JWbpMVrKWloADJYqhwIQoJwcrLiefDOJmtIsdD/Vmw9HdZe/] is not valid

Set failed
Configuration path: [system login user test authentication plaintext-password ] is not valid

Set failed
Configuration path: [system login user test authentication encrypted-password $6$1LSmLtVQQnkav4bl$ssyi1uTOChiMXaOdQ3FcpsCCLqXqdM6CTfLLpfv2FPrue9mGoFGp0n0BOnKi1PAtt9qaTdRLgUxiC7K/i5CGD.] is not valid

Set failed
dsummers updated the task description. (Show Details)Jul 2 2020, 4:17 PM
zsdc assigned this task to SrividyaA.Jul 24 2020, 4:51 PM
pasik added a subscriber: pasik.Jul 24 2020, 4:52 PM

I have tested the steps as mentioned in the description in VyOS 1.3-rolling-202007220117 and the issue did not reproduce.
Please try to create a new user in the latest version and share your feedback.

Problem confirmed fixed as of 2020-07-24.

I don't know what fixed it, but it is now fixed.

Please close this issue.

Thanks!

c-po closed this task as Resolved.Jul 25 2020, 8:34 AM